<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + path + "/";
%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>应急资源管理系统-基地定位</title>
    <script type="text/javascript"
            src="https://webapi.amap.com/maps?v=1.4.15&key=d96dc42da6dc92db4ec96ae9848067de"></script>
    <style>
        #container {
            width: 100%;
            height: 800px;
        }
        .title h2{
            margin-top:0px !important;
            margin-bottom: 0px !important;
        }
    </style>
    <link rel="stylesheet" href="adm/css/info-mgt.css"/>
    <link rel="stylesheet" href="<%=path%>/admin/css/bootstrap.min.css">
</head>
<body class="gray-bg">
<div class="title ue-clear">
    <h2>救援基地</h2>
</div>
<div id="container">

</div>

<script type="text/javascript">
    // 初始化地图
    var map = new AMap.Map('container', {
        zoom: 5, // 设置缩放级别
        center: [116.397428, 39.90923] // 设置地图中心点坐标，这里可以替换为你想要定位的位置
    });

    // 创建一个标记，用于在地图上显示定位位置
    var marker = new AMap.Marker({
        position: new AMap.LngLat(116.397428, 39.90923), // 定位位置的经纬度
        map: map
    });

    var marker1 = new AMap.Marker({
        position: new AMap.LngLat(120.21243, 36.595595), // 定位位置的经纬度
        map: map
    });

    // 创建信息窗口对象
    infoWindow = new AMap.InfoWindow({
        offset: new AMap.Pixel(0, -30)
    });

    // 绑定Marker的点击事件
    marker.on('click', function() {
        // 获取Marker的位置
        var position = this.getPosition();
        var content = '救援基地信息1：<br/>经度：' + position.lng + '<br/>纬度：' + position.lat;

        // 打开信息窗口
        infoWindow.setContent(content);
        infoWindow.open(map, position);
    });

    marker1.on('click', function() {
        // 获取Marker的位置
        var position = this.getPosition();
        var content = '救援基地信息2：<br/>经度：' + position.lng + '<br/>纬度：' + position.lat;

        // 打开信息窗口
        infoWindow.setContent(content);
        infoWindow.open(map, position);
    });

</script>
<script src="js/jquery.min.js?v=2.1.4"></script>
<script src="js/bootstrap.min.js?v=3.3.7"></script>
</body>
</html>
